/*
 * $0.40$
 * Class DepViewDC
 * Generated from view: DEP_VIEW
 * Schema: SCOTT
 * Database: 
 *  
 * @since: Tue Mar 23 00:31:35 CET 2004
*/
package sql2class.sql2datac;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Vector;
import org.brains2b.data.Condition;
import org.brains2b.sql.oracle.OracleCondition;
import org.brains2b.sql.oracle.OracleDC;

public class DepViewDC extends OracleDC {

    public  DepViewDC(Connection con, Object o) {
        super(con,o); 
    } 

    public int deleteOnPk() throws Exception {
        throw new SQLException("Function is not available, This table is read only");
    } 

    protected Object getObject(ResultSet rs) throws Exception {
        DepView depView = new DepView(
        	rs.getInt(1),
        	rs.getString(2),
        	rs.getString(3));
        return depView;
    } 

    public int insert() throws Exception {
        throw new SQLException("Function is not available, This table is read only");
    } 

    public Vector selectAll() throws Exception {
        Vector v=new Vector();
        mPrep=mCon.prepareStatement(
        "SELECT DEPNO,DNAME,LOC FROM DEP_VIEW");
        
        ResultSet rs=mPrep.executeQuery();
        while (rs.next()) {
            v.add(getObject(rs));
        }
        mPrep.close(); 
        if(v.isEmpty()) {
            return null;
        }
        return v;
    } 

    public Vector selectFromCondition(Condition con) throws Exception {
        Vector v=new Vector();
        String select= "SELECT DEPNO,DNAME,LOC FROM DEP_VIEW";
        mPrep=((OracleCondition) con).getPreparedStatement(mCon,select);
        
        ResultSet rs=mPrep.executeQuery();
        while (rs.next()) {
            v.add(getObject(rs));
        }
        mPrep.close(); 
        if(v.isEmpty()) {
            return null;
        }
        return v;
    } 

    public Vector selectOnParent(Object o) throws Exception {
        return null;
    } 

    public Object selectOnPk(Object o) throws Exception {
        DepView depView = (DepView) o;
        mPrep=mCon.prepareStatement(
        "SELECT DEPNO,DNAME,LOC FROM DEP_VIEW WHERE DEPNO= ? ");
        mPrep.setInt(1,depView.getDepno());
        
        ResultSet rs=mPrep.executeQuery();
        Object out=null;
        if(rs.next()) {
            out= getObject(rs);
        }
        mPrep.close();
        return out;
    } 

    public int updateOnPk() throws Exception {
        throw new SQLException("Function is not available, This table is read only");
    } 

} 
